\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=roundx=1cm,y=1cm]
\draw [color=Gris2, xstep=1cm,ystep=1cm] (-4,-4) grid (6,8);
\clip(-4,-4) rectangle (6,8);
\draw [line width=1.5pt,color=G1] (-3,4)-- (0,4);
\draw [line width=1.5pt,color=G1] (0,4)-- (-2,1);
\draw [line width=1.5pt,color=G1] (-2,1)-- (-3,4);
\draw [line width=1.5pt,color=B1] (5,4)-- (2,4);
\draw [line width=1.5pt,color=B1] (2,4)-- (4,7);
\draw [line width=1.5pt,color=B1] (4,7)-- (5,4);
\draw [line width=1.5pt,color=A1,domain=-4:6] plot(\x,{(-0--1*\x)/1});
\draw [line width=1.5pt,color=J1] (4,-3)-- (4,0);
\draw [line width=1.5pt,color=J1] (4,0)-- (1,-2);
\draw [line width=1.5pt,color=J1] (1,-2)-- (4,-3);
\draw [color=black] (1,4)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (1.16,4.43) node {$O$};
\end{tikzpicture}
\end{document}